Foxit PDF SDK

Instance Methods | Properties | List of all members
FSSchemaField Class Reference
Inheritance diagram for FSSchemaField:

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another schema field object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isVisible
| Check if current field is initially visible in application or not. More...
(void) | - setVisibility:
| Set the initial visibility of current field in application. More...

## Properties
NSString * | displayName
| Get or Set the display name. More...
NSString * | keyName
| Get or Set the key name string. More...
NSString * | subtypeName
| Get or Set the subtype name string. More...

## Detailed Description

Schema field can be used to decide which information of a node is to be shown or hide in application.

## Method Documentation

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSchemaField*) | other |

Constructor, with another schema field object.

Parameters

  [in] | other | Another PDF portfolio folder object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ isVisible()

- (BOOL) isVisible |  |  |

Check if current field is initially visible in application or not.

Returns
  YES means current field is initially visible in application, while NO means current field is initially invisible in application.

## ◆ setVisibility:()

- (void) setVisibility: |  | (BOOL) | is_visible |

Set the initial visibility of current field in application.

Parameters

  [in] | is_visible | YES means current field is initially visible in application, while NO means current field is initially invisible in application.

Returns
  None.

## Property Documentation

## ◆ displayName

- (NSString *) displayName
| read write nonatomic weak

Get or Set the display name.

Display name is used for displaying. This can be different from schema field's key name.

## ◆ keyName

- (NSString *) keyName
| read write nonatomic weak

Get or Set the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class FSPortfolio .
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

## ◆ subtypeName

- (NSString *) subtypeName
| read write nonatomic weak

Get or Set the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.